Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 3008273002: Replace voe_conference_test. (Closed)

Created:
2 months, 1 week ago by the sun
Modified:
2 months ago
Reviewers:
kwiberg-webrtc
CC:
webrtc-reviews_webrtc.org, AleBzk, Andrew MacDonald, henrika_webrtc, tlegrand-webrtc, tterriberry_mozilla.com, audio-team_agora.io, hlundin-webrtc, peah-webrtc, minyue-webrtc(BackIn2018March)
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

- Removes voe_conference_test. - Adds a new AudioStatsTest, with better coverage of the same features, based on call_test. - Adds an AudioEndToEndTest utility, which AudioStatsTest and LowBandwidthAudioTest uses. BUG=webrtc:4690 R=kwiberg@webrtc.org Review-Url: https://codereview.webrtc.org/3008273002 . Cr-Commit-Position: refs/heads/master@{#19833} Committed: https://webrtc.googlesource.com/src/+/73276ad7ed1e70ab764cd02d7189ed5839fadc20

Patch Set 1 #

Patch Set 2 : Add more stats and an integration test for capture start ntp time #

Patch Set 3 : don't test stats with high variance #

Patch Set 4 : rebase #

Patch Set 5 : increase test timeout #

Patch Set 6 : rebase #

Patch Set 7 : rebase #

Total comments: 14

Patch Set 8 : review comments #

Patch Set 9 : missing #

Patch Set 10 : lower case opus in one more place #

Patch Set 11 : rebase #

Patch Set 12 : rebase #

Patch Set 13 : Make audio stats test optional on memcheck bots #

Patch Set 14 : rebase #

Patch Set 15 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+367 lines, -988 lines) Patch
M webrtc/audio/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 4 chunks +28 lines, -1 line 0 comments Download
A + webrtc/audio/test/audio_end_to_end_test.h View 2 chunks +15 lines, -11 lines 0 comments Download
A webrtc/audio/test/audio_end_to_end_test.cc View 1 2 3 4 5 6 7 8 9 1 chunk +105 lines, -0 lines 0 comments Download
A webrtc/audio/test/audio_stats_test.cc View 1 2 3 4 5 6 7 8 1 chunk +118 lines, -0 lines 0 comments Download
D webrtc/audio/test/low_bandwidth_audio_test.h View 1 chunk +0 lines, -64 lines 0 comments Download
M webrtc/audio/test/low_bandwidth_audio_test.cc View 1 4 chunks +49 lines, -110 lines 0 comments Download
M webrtc/pc/peerconnection_integrationtest.cc View 1 2 3 4 1 chunk +27 lines, -0 lines 0 comments Download
M webrtc/pc/test/mockpeerconnectionobservers.h View 1 5 chunks +20 lines, -0 lines 0 comments Download
M webrtc/test/call_test.h View 1 1 chunk +1 line, -1 line 0 comments Download
M webrtc/test/call_test.cc View 1 2 3 4 5 6 7 4 chunks +4 lines, -5 lines 0 comments Download
M webrtc/voice_engine/BUILD.gn View 1 2 chunks +0 lines, -5 lines 0 comments Download
D webrtc/voice_engine/test/auto_test/fakes/conference_transport.h View 1 2 3 1 chunk +0 lines, -168 lines 0 comments Download
D webrtc/voice_engine/test/auto_test/fakes/conference_transport.cc View 1 1 chunk +0 lines, -307 lines 0 comments Download
D webrtc/voice_engine/test/auto_test/fakes/loudest_filter.h View 1 1 chunk +0 lines, -55 lines 0 comments Download
D webrtc/voice_engine/test/auto_test/fakes/loudest_filter.cc View 1 1 chunk +0 lines, -82 lines 0 comments Download
M webrtc/voice_engine/test/auto_test/voe_conference_test.cc View 1 1 chunk +0 lines, -179 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 33 (21 generated)
the sun
2 months ago (2017-09-12 12:23:29 UTC) #3
kwiberg-webrtc
https://codereview.webrtc.org/3008273002/diff/120001/webrtc/audio/BUILD.gn File webrtc/audio/BUILD.gn (right): https://codereview.webrtc.org/3008273002/diff/120001/webrtc/audio/BUILD.gn#newcode114 webrtc/audio/BUILD.gn:114: "test/audio_end_to_end_test.h", It looks like you're adding the same files ...
2 months ago (2017-09-13 14:20:26 UTC) #5
the sun
https://codereview.webrtc.org/3008273002/diff/120001/webrtc/audio/BUILD.gn File webrtc/audio/BUILD.gn (right): https://codereview.webrtc.org/3008273002/diff/120001/webrtc/audio/BUILD.gn#newcode114 webrtc/audio/BUILD.gn:114: "test/audio_end_to_end_test.h", On 2017/09/13 14:20:26, kwiberg-webrtc wrote: > It looks ...
2 months ago (2017-09-13 14:53:33 UTC) #6
kwiberg-webrtc
lgtm https://codereview.webrtc.org/3008273002/diff/120001/webrtc/audio/test/audio_stats_test.cc File webrtc/audio/test/audio_stats_test.cc (right): https://codereview.webrtc.org/3008273002/diff/120001/webrtc/audio/test/audio_stats_test.cc#newcode30 webrtc/audio/test/audio_stats_test.cc:30: const int64_t kRttMs = 100; On 2017/09/13 14:53:32, ...
2 months ago (2017-09-14 01:26:41 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3008273002/220001
2 months ago (2017-09-14 06:34:21 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: linux_memcheck on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/linux_memcheck/builds/11537)
2 months ago (2017-09-14 07:14:11 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3008273002/240001
2 months ago (2017-09-14 08:09:50 UTC) #15
commit-bot: I haz the power
Failed to commit the patch.
2 months ago (2017-09-14 08:40:14 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3008273002/260001
2 months ago (2017-09-14 08:46:01 UTC) #23
commit-bot: I haz the power
Failed to commit the patch.
2 months ago (2017-09-14 09:19:01 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3008273002/280001
2 months ago (2017-09-14 12:13:41 UTC) #31
the sun
2 months ago (2017-09-14 12:46:55 UTC) #33
Message was sent while issue was closed.
Committed patchset #15 (id:280001) manually as
73276ad7ed1e70ab764cd02d7189ed5839fadc20 (presubmit successful).

Powered by Google App Engine
This is Rietveld efc10ee0f